NOTE:  Blackbaud ended support on Microsoft SQL Server 2005 on July 14, 2015.  After this date, future versions of our software will no longer be designed or tested for compatibility with SQL Server 2005

For information on which Blackbaud products are supported when running on a SQL Server 2005 instance, please refer to the table below. Refer to our system requirements for the latest supported version of SQL Server 2005 for your product.  If a Blackbaud product does not appear in the table, then it is not supported on SQL Server 2005.

Before attaching a Blackbaud database to a SQL Server 2005 instance, review the steps in How to prepare SQL Server 2005 for use with Blackbaud databases.

 

Microsoft SQL Server 2005
 
SQL Server VersionProduct Name Product Version(s)
Minimum
Product Patch
Notes
Release to Manufacturing (RTM)
[No Service Pack]
9.00.1399
The Raiser's Edge7.80 - 7.81  
NetCommunity4.0 and higher  
Online Campus Community1.0 and higher  
The Information Edge2.0 and higher  
RE:Anywhere7.80  
Service Pack 1 (SP1)
9.00.2047
The Financial Edge
The Education Edge
Student Information System
7.60.250 SQL Server 2005 SP1 is required
The Raiser's Edge7.80 - 7.81  
NetCommunity4.0 and higher  
Online Campus Community1.0 and higher  
RE:Anywhere 7.80  
Service Pack 2 (SP2)
9.00.3042
The Financial Edge
The Education Edge
Student Information System
7.70.638 - 7.78 SQL Server 2005 SP2 is required
The Raiser's Edge7.82 - 7.91.5056 SQL Server 2005 SP2 is required
The Raiser's Edge7.92.5508  
The Patron Edge3.240.672 and higher SQL Server 2005 SP2 is required
The Patron Edge Online3.2.5 and higher SQL Server 2005 SP2 is required
The Researcher's Edge2.2.1.8 SQL Server 2005 SP2 is required
Service Pack 3 (SP3)
9.00.4035
The Financial Edge
The Education Edge
Student Information System
7.80 - 7.84.52 SQL Server 2005 SP3 is required
The Raiser's Edge7.91.40 - 7.93.5782  
The Patron Edge3.401 and higher  
Service Pack 4 (SP4)
9.00.5000
The Financial Edge
The Education Edge
Student Information System
7.82.10417SQL Server 2005 SP4 is supported, however errors may occur when attaching. See 53829.
The Financial Edge
The Education Edge
Student Information System
7.84.52  
The Raiser's Edge7.91.5056 16 
The Raiser's Edge7.92.5508 - 7.93.5782  
The Patron Edge3.401 and higher  
ExpressThe Financial Edge
The Education Edge
Student Information System
 7.70.638 - 7.84.52 SQL Server Express is supported when running required SQL service packs as indicated in the table above
The Raiser's Edge7.80 - 7.92.5508 SQL Server Express is supported when running required SQL service packs as indicated in the table above
The Researcher's Edge2.2.1.8 SQL Server Express is supported when running required SQL service packs as indicated in the table above